import { jsx } from "react/jsx-runtime";
import { HardDriveIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const HardDrive = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "HardDrive", ...props, children: /* @__PURE__ */ jsx(HardDriveIcon, { weight: variant }) });
  }
);
HardDrive.displayName = "HardDrive";
Object.assign(HardDrive, { isGdsIcon: true });
export {
  HardDrive
};
